Disable a capability | Moov Documentation
Disable a capability
Disable a specific capability that an account has requested. Read our capabilities reference to learn more.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/capabilities.write scope.
DELETE
/accounts/{accountID}/capabilities/{capabilityID}
Ask
curl -X DELETE "https://api.moov.io/accounts/{accountID}/capabilities/{capabilityID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
Ask
mc, _ := moov.NewClient()
var accountID string
mc.DisableCapability(ctx, accountID, moov.CapabilityName_SendFunds)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.capabilities.disable({
accountID: "2be80c4e-d409-49ea-8a8a-76dfa4006d69",
capabilityID: "transfers",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov oMoovPhp;
use Moov oMoovPhp.Models oComponents;
$sdk = MoovPhp oMoov::builder()
->setSecurity(
new Components oSecurity(
username: '',
password: '',
)
)
->build();
$response = $sdk->capabilities->disable(
accountID: '2be80c4e-d409-49ea-8a8a-76dfa4006d69',
capabilityID: Components oCapabilityID::Transfers
);
if ($response->statusCode === 200) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.CapabilityID;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.DisableCapabilityResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
DisableCapabilityResponse res = sdk.capabilities().disable()
.accountID("2be80c4e-d409-49ea-8a8a-76dfa4006d69")
.capabilityID(CapabilityID.TRANSFERS)
.call();
// handle response
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.capabilities.disable(account_id="2be80c4e-d409-49ea-8a8a-76dfa4006d69", capability_id=components.CapabilityID.TRANSFERS)
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.capabilities.disable(account_id: '2be80c4e-d409-49ea-8a8a-76dfa4006d69', capability_id: Models::Components::CapabilityID::SEND_FUNDS)
if res.status_code == 200
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Capabilities.DisableAsync(
accountID: "2be80c4e-d409-49ea-8a8a-76dfa4006d69",
capabilityID: CapabilityID.SendFunds
);
// handle response
Response headers
A unique identifier used to trace requests.
Error handling examples
- The server could not understand the request due to invalid syntax.
{ "error": "string" } - The request contained missing or expired authentication.
{ "error": "string" } - The user is not authorized to make the request.
{ "error": "string" } - The requested resource was not found.
{ "error": "string" } - The request conflicted with the current state of the target resource.
{ "error": "string" } - Request was refused due to rate limiting.
{ "error": "string" } - The request failed due to an unexpected error.
{ "error": "string" } - The request failed because a downstream service failed to respond.
{ "error": "string" }
API versioning
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.04.00
Possible capability values:
transferssend-fundssend-funds.push-to-cardmoney-transfer.push-to-cardsend-funds.achsend-funds.rtpsend-funds.instant-bankcollect-fundscollect-funds.card-paymentsmoney-transfer.pull-from-cardcollect-funds.achwalletwallet.balancecard-issuingissuing.cardholderproduction-appplatform.production-appplatform.wallet-transfers